%ext ck1
%patchfile 0x12087 CKSCREEN.CK1

# Change the teleporter so it works within the level 
%patch $8919                           $89 $F0 $F7 $2E $08 $6C $01 
   $F8 $D1 $E0 $C4 $1E $4C $6C $01 $C3 $26 $8B $17 $B1 $04 $31 $C0 
   $A3 $DE $6E $A3 $E0 $6E $A3 $E2 $6E $A3 $E4 $6E $88 $F0 $98 $01 
   $F0 $D3 $E0 $A3 $E3 $6E $88 $D0 $98 $01 $F8 $D3 $E0 $A3 $DF $6E 
   $8B $16 $DE $6E $A1 $E0 $6E $81 $C2 $00 $70 $15 $FF $FF $89 $16 
   $D0 $6E $A3 $D2 $6E $8B $16 $E2 $6E $A1 $E4 $6E $81 $C2 $00 $B0 
   $15 $FF $FF $89 $16 $D4 $6E $A3 $D6 $6E $C3 
%patch $4572  $E8 $A4 $43 $EB $13 $90 
# Keen sprite - will be shown at pixel coords 160, 64 on screen 
%patch $81F1 $28 # This is sprite $28 = 40 (Map keen facing left) 

# Map top-left corner coords (multiplied by $1000) 
%patch $81D6 $1000 # This is x coord: $00003000 = tile coord $3 = 3 
%patch $81DC $0000 
%patch $81E2 $7000 # This is y coord: $00023000 = tile coord $23 = 35 
%patch $81E8 $0002 


%patch $158E9 $e0 $00 
%patch $158ED $f0 $02 



# Our map-door-checking function 
%patch $897B                                   $3D $00 $00 $9F $88 
   $E0 $8B $9F $6E $05 $83 $EB $02 $7C $0F $83 $FB $03 $7F $0A $D1 
   $E3 $83 $BF $9E $AA $01 $9F $08 $C4 $9E $74 $05 $58 $05 $1A $00 
   $50 $C3 

# Call the map-door-checking function from appropriate spots 
%patch $A71B  $8B $87 $34 $0A $E8 $59 $E2 
%patch $A808  $8B $87 $C0 $13 $E8 $6C $E1 
%patch $A933  $8B $87 $86 $18 $E8 $41 $E0 
%patch $AA20  $8B $87 $FA $0E $E8 $54 $DF 


%patchfile 0x0130F8 mymod.tli #Tileinfo
%patch $9008 $05 #raygun shots
%patch $900E $01 #pogo stick
#Menu
%patch 0x015EE9 "Play CK "
%patch 0x015EF6 "Load Game    "
%patch 0x015F08 "Info "
%patch 0x015F12 "MultiMANIA "
%patch 0x015F22 "The Top.   "
%patch 0x015F32 "B-Ordering   "
%patch 0x015F44 "Previews!"
%patch 0x015F52 "Close Menu  "
#Finale
%patch 0x015C24 "Commander Keen returns to the BWB  "
%patch 0x015C49 "Megarocket and puts the chips in "
%patch 0x015C6C "the ships microwave. Two minutes on"
%patch 0x015C91 "high and they were golden brown"

# First dialogue box at home
%patch 0x015CBD "Keen made it home and "
%patch 0x015CD5 "began to ponder   "
%patch 0x015CE9 "what he had seen."

%patch 0x015CFB "It's impossible... "
%patch 0x015D10 "It's too big...    "
%patch 0x015D25 "No way... "

%patch 0x015D30 "It can't be a...     "
#Text jump
%patch 0x015D47 "DOUBLE               "
%patch 0x015D5E "MOON               "
%patch 0x015D73 "BOMB!!!!???"

%patch 0x015D80 "but only the    "
%patch 0x015D92 "robots..."

%patch 0x015D9C "...know how to make   "
%patch 0x015DB4 "D.M.B.'s. And I     "
%patch 0x015DCA "defeated the  robots.  "

%patch 0x015DE2 "Then it must be... "

%patch 0x015DF6 "It has to be... "

%patch 0x015E07 "I didn't defeat them."
%patch 0x015E1E "They escaped.          "
%patch 0x015E37 "There is only one  "
%patch 0x015E4C "thing to do, destroy "
%patch 0x015E63 "the bomb.     "
#About ID...
%patch 0x015F80 "MultiMANIA is a group of people   "
%patch 0x015FA8 "who want to help people have fun."
%patch 0x015FD0 "We specialise in Computer     "
%patch 0x015FF8 "Related things.     "
%patch 0x016020 "We hope you enjoy Commander Keen"
%patch 0x016048 "in Robot Rebellion and anticipate  "
%patch 0x016070 "the rest of this mod      "
%patch 0x016098 "trilogy.               "
%patch 0x0160C0 "www.spatang.com/multimania/  "
%patch 0x0160E8 "multimania_314@hotmail.com       "
%patch 0x016110 "                         "
#High Score Entries
%patch 0x01593F "Keen "
%patch 0x01594E "Robot  "
%patch 0x01595D "Rebel "

#Your ship is missing...
%patch 0x01659B "                    "
%patch 0x0165B0 "            "
%patch 0x0165C6 "            "
#God mode
%patch 0x014EF6 "Cheat On      :)"
%patch 0x014F07 "Cheat Off       :("
#CTSpace
%patch 0x014DEE "I'm disappointed.    "
%patch 0x014E05 "You just had to cheat.    "
%patch 0x014E21 "Cheating spoils the   "
%patch 0x014E39 "game.                 :("
#FILES
#%patch 0x0158C1 "PICHEAD"
#%patch 0x0158CA "PICLATCH"
#%patch 0x0158D4 "PICSPRIT"
#%patch 0x014D9C "CKMAP"
#%patch 0x014DA3 "CKMAP"
#%patch 0x015932 "THETOP"
#%patch 0x015B06 "THETOP"
#%patch 0x015CB2 "ENDING.PIC"
#%patch 0x016166 "PRE_VEIW.pic"
#%patch 0x016173 "2PREVIEW.pic"
#%patch 0x015814 "CTLPDATA"
#%patch 0x01581E "CTLPDATA"
#%patch 0x016138 "GAMES"
#%patch 0x016145 "GAMES"
#%patch 0x0158FE "HELPTXT1"
#%patch 0x01590B "ENDTXT1"
#%patch 0x015918 "STRYTXT1"
#%patch 0x015925 "PRETXT_1"

#Status Screen
%patch 0x014E56 "SCORE"
%patch 0x014E60 "EXTRA LIFE AT"
%patch 0x014E77 "LIVES"
%patch 0x014E83 "CHIPS     "
%patch 0x014E9B "GUN   "
%patch 0x014EA4 "POGO"
%patch 0x014EAC "KEYCARDS"
%patch 0x014EC8 "AMMO  "
%patch 0x015EDB "Lives Left"

%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 

%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 

%patch $28EC                  $26 $8B $07 $B6 
%patch $28F0  $0D $F6 $FE $F6 $EE $26 $89 $07 
%patch $28F8  $03 $1E $08 $6C $03 $1E $08 $6C 
%patch $2900  $26 $89 $07 $90 $90 $90 $90 $90 

%end